Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class ObjectOutputStream.PutField

    java.lang.Object
      |
      +--java.io.ObjectOutputStream.PutField

Enclosing class:
  ObjectOutputStream

public abstract static class ObjectOutputStream.PutField
extends Object

Provide programatic access to the persistent fields to be written to ObjectOutput.

Since:
  1.2

Constructor Summary
`ObjectOutputStream.PutField()`

Method Summary
`abstract void` | `put(String name, boolean value)` Put the value of the named boolean field into the persistent field.
`abstract void` | `put(String name, byte value)` Put the value of the named byte field into the persistent fields.
`abstract void` | `put(String name, char value)` Put the value of the named char field into the persistent fields.
`abstract void` | `put(String name, double value)` Put the value of the named double field into the persistent field.
`abstract void` | `put(String name, float value)` Put the value of the named float field into the persistent fields.
`abstract void` | `put(String name, int value)` Put the value of the named int field into the persistent fields.
`abstract void` | `put(String name, long value)` Put the value of the named long field into the persistent fields.
`abstract void` | `put(String name, Object value)` Put the value of the named Object field into the persistent field.
`abstract void` | `put(String name, short value)` Put the value of the named short field into the persistent fields.
`abstract void` | `write(ObjectOutput out)` Write the data and fields to the specified ObjectOutput stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectOutputStream.PutField

    public ObjectOutputStream.PutField()

Method Detail

### put

    public abstract void put(String name,
                             boolean value)

  Put the value of the named boolean field into the persistent field.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             char value)

  Put the value of the named char field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             byte value)

  Put the value of the named byte field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             short value)

  Put the value of the named short field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             int value)

  Put the value of the named int field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             long value)

  Put the value of the named long field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             float value)

  Put the value of the named float field into the persistent fields.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             double value)

  Put the value of the named double field into the persistent field.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### put

    public abstract void put(String name,
                             Object value)

  Put the value of the named Object field into the persistent field.
  Parameters:
    `name` - the name of the serializable field
    `value` - the value to assign to the field

### write

    public abstract void write(ObjectOutput out)
                        throws IOException

  Write the data and fields to the specified ObjectOutput stream.
  Parameters:
    `out` - the stream to write the data and fields to
  Throws:
    `IOException` - if I/O errors occur while writing to the underlying stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.